ros-jazzy-intra-process-demo (0.33.6-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 Aug 2025 16:00:00 -0000

ros-jazzy-intra-process-demo (0.33.5-1noble) noble; urgency=high

  * Removed pre-compiler check for opencv3 (#695 <https://github.com/ros2/demos/issues/695>) (#696 <https://github.com/ros2/demos/issues/696>)
    (cherry picked from commit e5dc79917333bb6bc9a3efe02fecb3c214cfacef)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-intra-process-demo (0.33.4-1noble) noble; urgency=high

  * [intra_process_demo] executable name in README.md fix-up (#690 <https://github.com/ros2/demos/issues/690>) (#691 <https://github.com/ros2/demos/issues/691>)
    Co-authored-by: Trushant Adeshara <mailto:150821956+Trushant-Adeshara-UM@users.noreply.github.com>

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Jun 2024 16:00:00 -0000

ros-jazzy-intra-process-demo (0.33.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 12 May 2024 16:00:00 -0000

ros-jazzy-intra-process-demo (0.33.2-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#665 <https://github.com/ros2/demos/issues/665>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-intra-process-demo (0.33.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-intra-process-demo (0.33.0-1noble) noble; urgency=high

  * Migrate std::bind calls to lambda expressions (#659 <https://github.com/ros2/demos/issues/659>)
  * Contributors: Felipe Gomes de Melo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-intra-process-demo (0.32.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.32.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 05 Nov 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.31.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.31.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.30.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.30.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 11 Jun 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.29.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.28.1-1noble) noble; urgency=high

  * Fix executable name in README (#618 <https://github.com/ros2/demos/issues/618>)
  * Contributors: Yadunund

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 10 May 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.28.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.27.0-1noble) noble; urgency=high

  * Change all ROS2 -> ROS 2. (#610 <https://github.com/ros2/demos/issues/610>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Apr 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.26.0-1noble) noble; urgency=high

  * Added README.md for intra_process_demo (#595 <https://github.com/ros2/demos/issues/595>)
  * Contributors: Gary Bey

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.25.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 Feb 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.24.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.24.0-1noble) noble; urgency=high

  * Update the demos to C++17. (#594 <https://github.com/ros2/demos/issues/594>)
  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-intra-process-demo (0.23.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-intra-process-demo (0.22.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-jazzy-intra-process-demo (0.21.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 28 Apr 2022 16:00:00 -0000

ros-jazzy-intra-process-demo (0.20.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-jazzy-intra-process-demo (0.20.0-1noble) noble; urgency=high

  * Add opencv_imgproc dependency for cv::putText (#554 <https://github.com/ros2/demos/issues/554>)
  * Install includes to include/${PROJECT_NAME} (#548 <https://github.com/ros2/demos/issues/548>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-intra-process-demo (0.19.0-1noble) noble; urgency=high

  * Fix include order and relative paths for cpplint (#551 <https://github.com/ros2/demos/issues/551>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-intra-process-demo (0.18.0-1noble) noble; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Additional fixes for documentation in demos. (#538 <https://github.com/ros2/demos/issues/538>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-jazzy-intra-process-demo (0.17.0-1noble) noble; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-jazzy-intra-process-demo (0.16.0-1noble) noble; urgency=high

  * Revert "Add type masquerading demos (#482 <https://github.com/ros2/demos/issues/482>)" (#520 <https://github.com/ros2/demos/issues/520>)
  * Add type masquerading demos (#482 <https://github.com/ros2/demos/issues/482>)
  * Contributors: Audrow Nash, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-jazzy-intra-process-demo (0.15.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 May 2021 16:00:00 -0000

ros-jazzy-intra-process-demo (0.14.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-jazzy-intra-process-demo (0.14.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 18 Apr 2021 16:00:00 -0000

ros-jazzy-intra-process-demo (0.14.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-jazzy-intra-process-demo (0.13.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-jazzy-intra-process-demo (0.12.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-jazzy-intra-process-demo (0.12.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-jazzy-intra-process-demo (0.11.0-1noble) noble; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-jazzy-intra-process-demo (0.10.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-jazzy-intra-process-demo (0.10.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 16 Jun 2020 16:00:00 -0000

ros-jazzy-intra-process-demo (0.9.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-jazzy-intra-process-demo (0.9.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-jazzy-intra-process-demo (0.9.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 May 2020 16:00:00 -0000

ros-jazzy-intra-process-demo (0.9.0-1noble) noble; urgency=high

  * Fix pendulum_control tests to use stdout stream. (#430 <https://github.com/ros2/demos/issues/430>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-jazzy-intra-process-demo (0.8.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Nov 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.8.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 10 Nov 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.8.2-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Nov 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.8.1-1noble) noble; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.8.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.7.6-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.7.5-1noble) noble; urgency=high

  * Allow ESC/q/sigint to exit demo (#345 <https://github.com/ros2/demos/issues/345>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 28 May 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.7.4-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 19 May 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.7.3-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 09 May 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.7.2-1noble) noble; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Migrate launch tests to new launch_testing features & API (#318 <https://github.com/ros2/demos/issues/318>)
  * Contributors: Michel Hidalgo, William Woodall, ivanpauno

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.7.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Apr 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.7.0-1noble) noble; urgency=high

  * Added launch along with launch_testing as test dependencies. (#313 <https://github.com/ros2/demos/issues/313>)
  * Updated for NodeOptions Node constructor. (#308 <https://github.com/ros2/demos/issues/308>)
  * Contributors: Michael Carroll, Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sat, 13 Apr 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.6.2-1noble) noble; urgency=high

  * Updated to support OpenCV 2, 3 and 4 (#307 <https://github.com/ros2/demos/issues/307>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 14 Jan 2019 16:00:00 -0000

ros-jazzy-intra-process-demo (0.6.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Dec 2018 16:00:00 -0000

ros-jazzy-intra-process-demo (0.6.0-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 06 Dec 2018 16:00:00 -0000

ros-jazzy-intra-process-demo (0.5.1-1noble) noble; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Jun 2018 16:00:00 -0000

ros-jazzy-intra-process-demo (0.5.0-1noble) noble; urgency=high

  * Updated launch files to account for the "old launch" getting renamespaced as ``launch`` -> ``launch.legacy``. (#239 <https://github.com/ros2/demos/issues/239>)
  * Contributors: Dirk Thomas, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Jun 2018 16:00:00 -0000


